%define upstream_name    Dancer-Plugin-Database
%define upstream_version 2.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Subclassed DBI connection handle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(Dancer) >= 1.309.900
BuildRequires: perl(Dancer::Plugin::Database::Core)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Provides an easy way to obtain a connected DBI database handle by simply
calling the database keyword within your the Dancer manpage application

Returns a the Dancer::Plugin::Database::Handle manpage object, which is a
subclass of the DBI manpage's 'DBI::db' connection handle object, so it
does everything you'd expect to do with DBI, but also adds a few
convenience methods. See the documentation for the
Dancer::Plugin::Database::Handle manpage for full details of those.

Takes care of ensuring that the database handle is still connected and
valid. If the handle was last asked for more than
'connection_check_threshold' seconds ago, it will check that the connection
is still alive, using either the '$dbh->ping' method if the DBD driver
supports it, or performing a simple no-op query against the database if
not. If the connection has gone away, a new connection will be obtained and
returned. This avoids any problems for a long-running script where the
connection to the database might go away.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.130.0-5.mga10
+ Revision: 2212027
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 2.130.0-4.mga9
+ Revision: 1830751
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.130.0-3.mga8
+ Revision: 1503690
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.130.0-2.mga7
+ Revision: 1282617
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 sander85 <sander85> 2.130.0-1.mga7
+ Revision: 1133357
- update to 2.13

* Sat Jun 18 2016 pterjan <pterjan> 2.110.0-3.mga6
+ Revision: 1024783
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.110.0-2.mga6
+ Revision: 969632
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 873461
- update to 2.11

* Tue Jul 14 2015 sander85 <sander85> 2.100.0-1.mga6
+ Revision: 854108
- update to 2.10

* Sat Oct 18 2014 umeabot <umeabot> 2.90.0-4.mga5
+ Revision: 788011
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.90.0-3.mga5
+ Revision: 748509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.90.0-2.mga5
+ Revision: 684173
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 2.90.0-1.mga5
+ Revision: 586650
- update to 2.09

* Sat Oct 19 2013 umeabot <umeabot> 2.40.0-2.mga4
+ Revision: 525188
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 2.40.0-1.mga4
+ Revision: 432454
- update to 2.04

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-2.mga3
+ Revision: 365253
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 shlomif <shlomif> 2.30.0-1.mga3
+ Revision: 333997
- imported package perl-Dancer-Plugin-Database


* Sat Dec 22 2012 cpan2dist 2.03-1mga
- initial mageia release, generated with cpan2dist
